Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80933 - Use of ostringsteam causes segfault
Summary: Use of ostringsteam causes segfault
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: gcc
Version: 2.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-02 15:25 UTC by Ken Kleiner
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version: 2.96-118.7.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-14 06:03:17 UTC


Attachments (Terms of Use)
code which seg faults when compiled and run on rh as 2.1 with updates applied (deleted)
2003-01-02 15:27 UTC, Ken Kleiner
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2003:149 normal SHIPPED_LIVE Updated gcc packages available 2003-05-29 04:00:00 UTC

Description Ken Kleiner 2003-01-02 15:25:08 UTC
Description of problem:

It looks to be possibly a bug with ostringstream.  A seg fault occurs
when running compiled code(file attached).  Does not occur on 
Redhat 7.2 systems.  This started happening after the following updates
were applied:

cpp-2.96-116.7.2
gcc-2.96-116.7.2
gcc-c++-2.96-116.7.2
gcc-g77-2.96-116.7.2
gcc-objc-2.96-116.7.2
libstdc++-2.96-116.7.2
libstdc++-devel-2.96-116.7.2

Version-Release number of selected component (if applicable):
cpp-2.96-116.7.2
gcc-2.96-116.7.2
gcc-c++-2.96-116.7.2
gcc-g77-2.96-116.7.2
gcc-objc-2.96-116.7.2
libstdc++-2.96-116.7.2
libstdc++-devel-2.96-116.7.2

How reproducible:

Compile code attached and run it.

Steps to Reproduce:
1.Use ostringsteam in code.
2.Compile code.
3.Run a.out
    
Actual results:

Segmentation fault

Expected results:

return name of calling program to stdout.

Additional info:

Comment 1 Ken Kleiner 2003-01-02 15:27:03 UTC
Created attachment 89053 [details]
code which seg faults when compiled and run on rh as 2.1 with updates applied

Comment 2 Tom Honermann 2003-05-13 23:15:40 UTC
Hello.  My name is Tom Honermann.  I too am experiencing this problem.


Note You need to log in before you can comment on or make changes to this bug.